> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Search people

GET https://api.filesearch.dev/v2/datasets/odyssey/people/search

Search for people by name, company, title, or location

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/people/people-search

## Request

### Query parameters

- `q` (string, required) — Search query (name, company, title)
- `location` (string, optional, nullable) — Location filter
- `company` (string, optional, nullable) — Current company filter
- `title` (string, optional, nullable) — Job title filter
- `limit` (integer, optional, default: 10) — Maximum results per page
- `offset` (integer, optional, default: 0) — Number of results to skip for pagination

## Response

### 200

Successful Response

- `query` (string, required)
- `has_more` (boolean, optional, default: false)
- `limit` (integer, optional, default: 10)
- `offset` (integer, optional, default: 0)
- `results` (list of PersonSearchResult, optional)
- `total_results` (integer, optional, default: 0)

## Types

### PersonSearchResult

Single person search result.

- `entity_id` (string, required)
- `full_name` (string, required)
- `company` (string, optional, nullable)
- `description` (string, optional, nullable)
- `followers` (integer, optional, nullable)
- `headline` (string, optional, nullable)
- `linkedin_url` (string, optional, nullable)
- `location` (string, optional, nullable)
- `school` (string, optional, nullable)

## Examples

**Response**

```json
{
  "query": "credit",
  "has_more": false,
  "limit": 10,
  "offset": 0,
  "results": [
    {
      "entity_id": "temp_2794732241949186687",
      "full_name": "Grace L.",
      "company": "St. Mary's Credit Union",
      "description": "As President & CEO of St. Mary's Credit Union, I lead one of Massachusetts'…",
      "followers": null,
      "headline": "St. Mary's Credit Union",
      "linkedin_url": "https://www.linkedin.com/in/grace-l-b513b76",
      "location": "Boston, Massachusetts, United States",
      "school": null
    },
    {
      "entity_id": "temp_1817323596165896967",
      "full_name": "Jeff Benson",
      "company": "Service Credit Union",
      "description": "I am a technology and operations executive with deep experience in the financial services… · Experience: Service Credit Union · Location: Bedford · 500+ ...",
      "followers": null,
      "headline": "Service Credit Union",
      "linkedin_url": "https://www.linkedin.com/in/jeff-benson-9a532588",
      "location": "Bedford, New Hampshire, United States",
      "school": null
    }
  ],
  "total_results": 10
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/people/search",
    headers=headers,
    params={"q": "credit"},
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/people/search?q=credit`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```